Skip to main content
GET
/
v1
/
eval-runs
List eval runs
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/eval-runs \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "evaluator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "finished_at": "2023-11-07T05:31:56Z",
      "error_text": "<string>",
      "prompt_snapshot": "<string>",
      "threshold_snapshot": 123,
      "severity_snapshot": "<string>",
      "format_snapshot": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channel": "<string>",
      "config_snapshot": {},
      "is_critical_snapshot": false,
      "scores": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "value": 123,
          "raw_value": 123,
          "label": "<string>",
          "passed": true,
          "confidence": 123,
          "rationale": "<string>",
          "severity": "<string>",
          "blocking": true,
          "created_at": "2023-11-07T05:31:56Z",
          "evidence_observation_ids": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

session_id
string<uuid> | null
evaluator_id
string<uuid> | null
agent_id
string<uuid> | null
status
enum<string> | null
Available options:
pending,
running,
completed,
failed,
errored
scope
enum<string> | null
Available options:
live,
simulation,
test
outcome
enum<string> | null
Available options:
passed,
failed,
no_verdict,
errored
score_min
number | null

Min normalized score, matched against EvalScore.value [0,1]. numeric-format evaluators store their signal in raw_value (value is null), so they are not matched by score_min/score_max.

Required range: 0 <= x <= 1
score_max
number | null

Max normalized score [0,1]; see score_min re: numeric evaluators.

Required range: 0 <= x <= 1
severity
enum<string> | null
Available options:
info,
low,
medium,
high,
critical
channel
string | null
created_from
string<date-time> | null
created_to
string<date-time> | null
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
EvalRunResponse · object[]
required
has_more
boolean
required
next_cursor
string | null